package command;

import git.IssueRepo;

public final class CommandPush implements Command {

    private final String remote;

    CommandPush(String remote) {
        this.remote = remote;
    }

    public void execute() {
        IssueRepo issueRepo = new IssueRepo();
        issueRepo.push(remote);
        System.out.println("Issues pushed to " + remote);
    }
}
